Update Guest Profile Bio

PUT /guest-profiles/::guestProfileId/bio

Update the bio fields of a guest profile including short bio, long bio, goals, areas of expertise, topics to discuss, things to avoid, and additional context.

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/guest-profiles/:guestProfileId/bio

Code Example

API Specification

Path Parameters

PropertyTypeDescription
guestProfileId
string

The guest profile ID

Request Body

PropertyTypeDescription
additionalContextoptional
string

Any additional context about the guest

areasOfExpertiseoptional
array
of
string

Areas of expertise

goalsoptional
array
of
string

Goals for podcast appearances

longBiooptional
string

A longer bio for the guest

shortBiooptional
string

A short bio for the guest

thingsToAvoidoptional
array
of
string

Topics or things to avoid

topicsToDiscussoptional
array
of
string

Topics the guest wants to discuss

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

success
boolean